Subject: Re: bug#14501: dependency generation FAIL in t/subobj11a.sh

From: Stefano Lattarini <[email-masked]>
Date: Wed, 29 May 2013 11:23:16 +0200

On 05/29/2013 09:48 AM, Peter Rosin wrote:
> On 2013-05-29 09:41, Peter Rosin wrote:
>> Hi!
>>
>> On Automake master (baf8a1c22acce0908), t/subobj11a.sh fails
>> on MSYS/MSVC (depmode=msvc7msys), like this:
>>
>> + make quux
>> src/.deps/foo.Po:1: *** target pattern contains no `%'.  Stop.
>>
>>
>> It appears that the generated foo.Po is broken. Adding a
>> 	cat "$depdir"/foo.Po
>> just before the $MAKE quux invocation reveals that the originally
>> generated foo.Po has this single line content:
>>
>> src/foo.obj : \
>>
>> Notice the trailing backslash.
>>
And I assume this, by itself, doesn't cause any problem to make,
correct?

>> When the testcase then adds a
>> line of its own, the trailing backslash makes it blow up.
> 
> I forgot to mention that adding an empty line before the other
> added line, e.g. with
> 
> echo >> "$depdir"/foo.Po
> 
> works around the problem and makes the test pass.
>
I think we should go this way, yes.  After all, albeit the trailing
'\' in the .Po file looks strange, it's not causing any problem in
practice, and it's only our hacky editing of said .Po that is
triggering the failure.  So let's fix this editing and live happy.

Any patch that does so (and adds brief a comment explaining why we
need the extra 'echo') can be considered pre-approved.

Thanks,
  Stefano